Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.artifacts
Interface ResolutionStrategy

    public interface ResolutionStrategy

Defines the strategies around forcing certain dependency versions or conflict resolutions. Example:

     configurations.all {
       //fail eagerly on conflict
       resolutionStrategy.conflictResolution = resolutionStrategy.strict()
     }

Method Summary
`void` | `force(String... forcedVersions)` Configures forced versions in DSL friendly fashion
`ConflictResolution` | `getConflictResolution()` gets current conflict resolution
`Set<ForcedVersion>` | `getForcedVersions()` returns currently configured forced versions
`ConflictResolution` | `latest()` use the latest of conflicting versions and move on
`void` | `setConflictResolution(ConflictResolution conflictResolution)` configures conflict resolution
`ConflictResolution` | `strict()` fail eagerly on conflict

Method Detail

### getConflictResolution

    ConflictResolution getConflictResolution()

  gets current conflict resolution

  Returns:
    conflict resolution

### setConflictResolution

    void setConflictResolution(ConflictResolution conflictResolution)

  configures conflict resolution

  Parameters:
    `conflictResolution` - to set

### force

    void force(String... forcedVersions)

  Configures forced versions in DSL friendly fashion

  Parameters:
    `forcedVersions` - gav notations

### getForcedVersions

    Set<ForcedVersion> getForcedVersions()

  returns currently configured forced versions

  Returns:
    forced versions

### latest

    ConflictResolution latest()

  use the latest of conflicting versions and move on

### strict

    ConflictResolution strict()

  fail eagerly on conflict

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD